Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSConnectionFactoryMBean

public interface JMSConnectionFactoryMBean
extends DeploymentMBean, JMSConstants

This class represents a JMS connection factory. Connection factories are objects that enable JMS clients to create JMS connections.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getAcknowledgePolicy()` Return the value of the AcknowledgePolicy attribute for the connection factory.
`boolean` | `getAllowCloseInOnMessage()` Return the value of the AllowCloseInOnMessage attribute for the connection factory.
`java.lang.String` | `getClientId()` Return the client ID for a durable subscriber that uses this connection factory.
`java.lang.String` | `getDefaultDeliveryMode()` Return the value of the DefaultDeliveryMode attribute for the connection factory.
`int` | `getDefaultPriority()` Return the defaultPriority attribute for the connection factory.
`long` | `getDefaultRedeliveryDelay()` Return the value of the defaultRedeliveryDelay attribute for the connection factory.
`long` | `getDefaultTimeToDeliver()` Return the value of the DefaultTimeToDeliver attribute for the connection factory.
`long` | `getDefaultTimeToLive()` Return the value of the DefaultTimeToLive attribute for the connection factory.
`int` | `getFlowInterval()` Return the value of the FlowInterval attribute for the connection factory.
`int` | `getFlowMaximum()` Get the value of the FlowMaximum attribute for the connection factory.
`int` | `getFlowMinimum()` Get the value of the FlowMinimum attribute for the connection factory.
`int` | `getFlowSteps()` Get the value of the FlowSteps attribute for the connection factory.
`java.lang.String` | `getJNDIName()` Return the JNDI name of the JMS connection factory.
`int` | `getMessagesMaximum()` Return the value of the MessagesMaximum attribute for the connection factory.
`java.lang.String` | `getOverrunPolicy()` Return the value of the OverrunPolicy attribute for the connection factory.
`long` | `getTransactionTimeout()` Return the value of the TransactionTimeout attribute for the connection factory.
`boolean` | `isFlowControlEnabled()` Return the value of the FlowControlEnabled attribute for the connection factory.
`boolean` | `isLoadBalancingEnabled()` Return the value of the LoadBalancingEnabled attribute for the connection factory.
`boolean` | `isServerAffinityEnabled()` Return the value of the ServerAffinityEnabled attribute for the connection factory.
`boolean` | `isUserTransactionsEnabled()` Return the value of the UserTransactionsEnabled attribute.
`boolean` | `isXAConnectionFactoryEnabled()` Return the value of the XAConnectionFactoryEnabled attribute for the connection factory.
`boolean` | `isXAServerEnabled()` Return the value of the XAServerEnabled attribute for the connection factory.
`void` | `setAcknowledgePolicy(java.lang.String policy)` Set the value of the acknowldegePolicy attribute for the connection factory.
`void` | `setAllowCloseInOnMessage(boolean allowCloseInOnMessage)` Set the value of the allowCloseInOnMessage attribute for the connection factory.
`void` | `setClientId(java.lang.String id)` Set the client ID for a durable subscriber that uses this connection factory.
`void` | `setDefaultDeliveryMode(java.lang.String defaultDeliveryMode)` Set the value of the DefaultDeliveryMode attribute for the connection factory.
`void` | `setDefaultPriority(int defaultPriority)` Set the value of the defaultPriority attribute for the connection factory.
`void` | `setDefaultRedeliveryDelay(long defaultRedeliveryDelay)` Set the value of the DefaultRedeliveryDelay attribute for the connection factory.
`void` | `setDefaultTimeToDeliver(long timeToDeliver)` Set the value of the DefaultTimeToDeliver attribute for the connection factory.
`void` | `setDefaultTimeToLive(long defaultTimeToLive)` Set the value of the defaultTimeToLive attribute for the connection factory.
`void` | `setFlowControlEnabled(boolean flowControlEnabled)` Set the value of the FlowControlEnabled attribute for the connection factory.
`void` | `setFlowInterval(int flowInterval)` Set the value of the FlowInterval attribute for the connection factory.
`void` | `setFlowMaximum(int flowMaximum)` Get the value of the FlowMaximum attribute for the connection factory.
`void` | `setFlowMinimum(int flowMinimum)` Set the value of the FlowMinimum attribute for the connection factory.
`void` | `setFlowSteps(int flowSteps)` Get the value of the FlowSteps attribute for the connection factory.
`void` | `setJNDIName(java.lang.String name)` Set the JNDI name of the JMS connection factory.
`void` | `setLoadBalancingEnabled(boolean loadBalancingEnabled)` Set the value of the LoadBalancingEnabled attribute for the connection factory.
`void` | `setMessagesMaximum(int messagesMaximum)` Set the value of the messagesMaximum attribute for the connection factory.
`void` | `setOverrunPolicy(java.lang.String policy)` Set the value of the OverrunPolicy attribute for the connection factory.
`void` | `setServerAffinityEnabled(boolean serverAffinityEnabled)` Set the value of the ServerAffinityEnabled attribute for the connection factory.
`void` | `setTransactionTimeout(long transactionTimeout)` Set the value of the TransactionTimeout attribute for the connection factory.
`void` | `setUserTransactionsEnabled(boolean userTransactionsEnabled)` Set the value of the userTransactionsEnabled attribute for the connection factory.
`void` | `setXAConnectionFactoryEnabled(boolean XAConnectionFactoryEnabled)` Set the value of the XAConnectionFactoryEnabled attribute for the connection factory.
`void` | `setXAServerEnabled(boolean XAServerEnabled)` Set the value of the XAServerEnabled attribute for the connection factory.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getJNDIName

    public java.lang.String getJNDIName()

  Return the JNDI name of the JMS connection factory.

  This is the name that is assigned to and used to look up the connection factory within the JNDI namespace. The connection factory name is configured separately.

  Old Property: weblogic.jms.ConnectionFactoryName

### setJNDIName

    public void setJNDIName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  Set the JNDI name of the JMS connection factory.

  This is the name that is assigned to and used to look up the connection factory within the JNDI namespace. The connection factory name is configured separately.

  Legal Value: (value != null) && (value.trim().length() > 0)

### getClientId

    public java.lang.String getClientId()

  Return the client ID for a durable subscriber that uses this connection factory.

  Old Property: weblogic.jms.ConnectionFactoryArgs

### setClientId

    public void setClientId(java.lang.String id)
                     throws javax.management.InvalidAttributeValueException

  Set the client ID for a durable subscriber that uses this connection factory.

  A dynamic MBean attribute

### getDefaultPriority

    public int getDefaultPriority()

  Return the defaultPriority attribute for the connection factory.

  The default priority used for messages for which a priority is not explicitly defined. All messages with a DefaultPriority of -1 that are produced on a connection created with this factory will receive this value.

### setDefaultPriority

    public void setDefaultPriority(int defaultPriority)
                            throws javax.management.InvalidAttributeValueException

  Set the value of the defaultPriority attribute for the connection factory.

  The default priority used for messages for which a priority is not explicitly defined. All messages with a DefaultPriority of -1 that are produced on a connection created with this factory will receive this value.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: PRIORITY_DEFAULT
  Legal Minimum Value: PRIORITY_MINIMUM
  Legal Maximum Value: PRIORITY_MAXIMUM

### getDefaultTimeToDeliver

    public long getDefaultTimeToDeliver()

  Return the value of the DefaultTimeToDeliver attribute for the connection factory.

  A time-to-deliver defines the delay, in milliseconds, between when a message is produced and when it is made visible on its destination. All messages produced by a producer created with this factory that have a DefaultTimeToDeliver of -1 will use this value.

### setDefaultTimeToDeliver

    public void setDefaultTimeToDeliver(long timeToDeliver)
                                 throws javax.management.InvalidAttributeValueException

  Set the value of the DefaultTimeToDeliver attribute for the connection factory.

  A time-to-deliver defines the delay, in milliseconds, between when a message is produced and when it is made visible on its destination. All messages produced by a producer created with this factory that have a DefaultTimeToDeliver of -1 will use this value.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 0
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getDefaultTimeToLive

    public long getDefaultTimeToLive()

  Return the value of the DefaultTimeToLive attribute for the connection factory.

  The default maximum length of time, in milliseconds, that a message will exist. Used for messages for which a priority was not explicitly defined. A value of 0 indicates that the message has an infinite amount time to live. All messages with a DefaultTimeToLive of -1 that are produced on a connection created with this factory will receive this value expressed in milliseconds.

### setDefaultTimeToLive

    public void setDefaultTimeToLive(long defaultTimeToLive)
                              throws javax.management.InvalidAttributeValueException

  Set the value of the defaultTimeToLive attribute for the connection factory.

  The default maximum length of time, in milliseconds, that a message will exist. Used for messages for which a priority was not explicitly defined. A value of 0 indicates that the message has an infinite amount time to live. All messages with a DefaultTimeToLive of -1 that are produced on a connection created with this factory will receive this value expressed in milliseconds.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 0
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getDefaultDeliveryMode

    public java.lang.String getDefaultDeliveryMode()

  Return the value of the DefaultDeliveryMode attribute for the connection factory.

  The default delivery mode used for messages for which a delivery mode is not explicitly defined. All messages with a DefaultDeliveryMode of null that are produced on a connection created with this factory will receive this value.

  Old Property: weblogic.jms.ConnectionFactoryArgs

### setDefaultDeliveryMode

    public void setDefaultDeliveryMode(java.lang.String defaultDeliveryMode)
                                throws javax.management.InvalidAttributeValueException

  Set the value of the DefaultDeliveryMode attribute for the connection factory.

  The default delivery mode used for messages for which a delivery mode is not explicitly defined. All messages with a DefaultdeliveryMode of null that are produced on a connection created with this factory will receive this value.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: PERSISTENT
  Legal Values: PERSISTENT,NON_PERSISTENT

### getDefaultRedeliveryDelay

    public long getDefaultRedeliveryDelay()

  Return the value of the defaultRedeliveryDelay attribute for the connection factory.

  A redelivery delay defines the delay, in milliseconds, before rolled back or recovered messages are redelivered. All messages consumed by a consumer created with this factory that have a DefaultRedeliveryDelay of -1 will use this value.

### setDefaultRedeliveryDelay

    public void setDefaultRedeliveryDelay(long defaultRedeliveryDelay)
                                   throws javax.management.InvalidAttributeValueException

  Set the value of the DefaultRedeliveryDelay attribute for the connection factory.

  A redelivery delay defines the delay, in milliseconds, before rolled back or recovered messages are redelivered. All messages consumed by a consumer created with this factory that have a DefaultRedeliveryDelay of -1 will use this value.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 0
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getTransactionTimeout

    public long getTransactionTimeout()

  Return the value of the TransactionTimeout attribute for the connection factory.

  All transactions on connections created with this connection factory will have this timeout value expressed in seconds.

  If a transacted session is still active after the timeout has elapsed, the transaction is rolled back. A value of 0 indicates that the default value will be used. If you have long-running transactions, you might want to adjust the value of this attribute to allow transactions to complete.

  Old Property: weblogic.jms.ConnectionFactoryArgs

### setTransactionTimeout

    public void setTransactionTimeout(long transactionTimeout)
                               throws javax.management.InvalidAttributeValueException

  Set the value of the TransactionTimeout attribute for the connection factory.

  All transactions on connections created with this connection factory will have this timeout value expressed in seconds.

  If a transacted session is still active after the timeout has elapsed, the transaction is rolled back. A value of 0 indicates that the default value will be used. If you have long-running transactions, you might want to adjust the value of this attribute to allow transactions to complete.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 3600
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### isUserTransactionsEnabled

    public boolean isUserTransactionsEnabled()

  Return the value of the UserTransactionsEnabled attribute.

  Indicates whether or not a connection factory creates sessions that are JTA aware. If true, the associated message producers and message consumers look into the running thread for a transaction context. Otherwise, the current JTA transaction will be ignored.

  However, if the XAConnectionFactoryEnabled flag is true, then the UserTransactionsEnabled attribute must also be true to return an XA connection factory.

  Note: Transacted sessions ignore the current threads transaction context in favor of their own internal transaction, regardless of the setting. This setting only affects non-transacted sessions.

  Old Property: weblogic.jms.ConnectionFactoryArgs

### setUserTransactionsEnabled

    public void setUserTransactionsEnabled(boolean userTransactionsEnabled)
                                    throws javax.management.InvalidAttributeValueException

  Set the value of the userTransactionsEnabled attribute for the connection factory.

  Indicates whether or not a connection factory creates sessions that are JTA aware. If true, the associated message producers and message consumers look into the running thread for a transaction context. Otherwise, the current JTA transaction will be ignored.

  However, if the XAConnectionFactoryEnabled flag is true, then the UserTransactionsEnabled attribute must also be true to return an XA connection factory.

  Note: Transacted sessions ignore the current threads transaction context in favor of their own internal transaction, regardless of the setting. This setting only affects non-transacted sessions.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: false

### getAllowCloseInOnMessage

    public boolean getAllowCloseInOnMessage()

  Return the value of the AllowCloseInOnMessage attribute for the connection factory.

  Indicates whether or not a connection factory creates message consumers that allow a `close()` method to be issued within its `onMessage()` method call.

  - If selected (true), a `close()` method call from within an `onMessage()` method call will succeed instead of blocking forever. If the acknowledge mode of the session is set to `AUTO_ACKNOWLEDGE`, the current message will still be acknowledged automatically when the `onMessage()` call completes.

  - If not selected (false), it will cause the `stop()` and `close()` methods to hang if called from `onMessage()`.

  This attribute is dynamic and can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Old Property: weblogic.jms.ConnectionFactoryArgs

### setAllowCloseInOnMessage

    public void setAllowCloseInOnMessage(boolean allowCloseInOnMessage)
                                  throws javax.management.InvalidAttributeValueException

  Set the value of the allowCloseInOnMessage attribute for the connection factory.

  Indicates whether or not a connection factory creates message consumers that allow a `close()` method to be issued within its `onMessage()` method call.

  - If selected (true), a `close()` method call from within an `onMessage()` method call will succeed instead of blocking forever. If the acknowledge mode of the session is set to `AUTO_ACKNOWLEDGE`, the current message will still be acknowledged automatically when the `onMessage()` call completes.

  - If not selected (false), it will cause the `stop()` and `close()` methods to hang if called from `onMessage()`.

  This attribute is dynamic and can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: false

### getMessagesMaximum

    public int getMessagesMaximum()

  Return the value of the MessagesMaximum attribute for the connection factory.

  The maximum number of messages that may exist for an asynchronous session and that have not yet been passed to the message listener. A value of -1 indicates that there is no limit on the number of messages. In this case, however, the limit is set to the amount of remaining virtual memory. A value of 0 is not valid and will cause various exceptions to be thrown.

  When the number of messages reaches the MessagesMaximum value:

  - For multicast sessions, new messages are discarded according the policy specified by the OverrunPolicy attribute and a DataOverrunException is thrown.

  - For non-multicast sessions, new messages are flow-controlled, or retained on the server until the application can accommodate the messages.

  For multicast sessions, when a connection is stopped, messages will continue to be delivered, but only until the MessagesMaximum value is reached. Once this value is reached, messages will be discarded based on the Overrun policy.

### setMessagesMaximum

    public void setMessagesMaximum(int messagesMaximum)
                            throws javax.management.InvalidAttributeValueException

  Set the value of the messagesMaximum attribute for the connection factory.

  The maximum number of messages that may exist for an asynchronous session and that have not yet been passed to the message listener. A value of -1 indicates that there is no limit on the number of messages. In this case, however, the limit is set to the amount of remaining virtual memory. A value of 0 is not valid and will cause various exceptions to be thrown.

  When the number of messages reaches the MessagesMaximum value:

  - For multicast sessions, new messages are discarded according the policy specified by the OverrunPolicy attribute and a DataOverrunException is thrown.

  - For non-multicast sessions, new messages are flow-controlled, or retained on the server until the application can accommodate the messages.

  For multicast sessions, when a connection is stopped, messages will continue to be delivered, but only until the MessagesMaximum value is reached. Once this value is reached, messages will be discarded based on the Overrun policy.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 10
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### getOverrunPolicy

    public java.lang.String getOverrunPolicy()

  Return the value of the OverrunPolicy attribute for the connection factory.

  Th Overrun Policy applies to multicast messages. When the number of outstanding messages reaches the MessagesMaximum attribute value, messages are discarded based on the specified policy.

  - If set to KeepNew, the most recent messages are given priority over the oldest messages, and the oldest messages are discarded, as needed.

  - If set to KeepOld, the oldest messages are given priority over the most recent messages, and the most recent messages are discarded, as needed.

  Message age is defined by the order of receipt, not by the JMSTimestamp value.

### setOverrunPolicy

    public void setOverrunPolicy(java.lang.String policy)
                          throws javax.management.InvalidAttributeValueException

  Set the value of the OverrunPolicy attribute for the connection factory.

  The Overrun Policy applies to multicast messages. When the number of outstanding messages reaches the MessagesMaximum attribute value, messages are discarded based on the specified policy.

  - If set to KeepNew, the most recent messages are given priority over the oldest messages, and the oldest messages are discarded, as needed.

  - If set to KeepOld, the oldest messages are given priority over the most recent messages, and the most recent messages are discarded, as needed.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory. KEEP_OLD KEEP_NEW

  A dynamic MBean attribute
  Default Value: weblogic.management.configuration.JMSConstants.KEEP_OLD
  Legal Values: weblogic.management.configuration.JMSConstants.KEEP_OLD,weblogic.management.configuration.JMSConstants.KEEP_NEW

### isXAConnectionFactoryEnabled

    public boolean isXAConnectionFactoryEnabled()

  Return the value of the XAConnectionFactoryEnabled attribute for the connection factory.

  Indicates whether or not a XA queue or XA topic connection factory is returned, instead of a queue or topic connection factory. It can be used to return a XA queue session or XA topic session, which has the getXAResource method.

  In order for an XA connection factory to be returned, the UserTransactionsEnabled flag must also be set to true (since it defaults to false).

### setXAConnectionFactoryEnabled

    public void setXAConnectionFactoryEnabled(boolean XAConnectionFactoryEnabled)
                                       throws javax.management.InvalidAttributeValueException

  Set the value of the XAConnectionFactoryEnabled attribute for the connection factory.

  Indicates whether or not a XA queue or XA topic connection factory is returned, instead of a queue or topic connection factory. It can be used to return a XA queue session or XA topic session, which has the getXAResource method.

  In order for an XA connection factory to be returned, the UserTransactionsEnabled flag must also be set to true (since it defaults to false).

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Default Value: false
  Legal Value: ((value && ((weblogic.management.configuration.JMSConnectionFactoryMBean)self).isUserTransactionsEnabled()) || !value )

### getAcknowledgePolicy

    public java.lang.String getAcknowledgePolicy()

  Return the value of the AcknowledgePolicy attribute for the connection factory.

  Note: This attribute only applies to implementations that use the `CLIENT_ACKNOWLEDGE` acknowledge mode for a non-transacted session.

  This attribute works around a change in the JMS specification. Specifically, the specification allowed users to acknowledge all messages before and including the message geing acknowledged. The specification was changed so that acknowledging any message acknowledges all messages ever received (even those received after the message being acknowledge), as follows:

  - An acknowledge policy of `ACKNOWLEDGE_PREVIOUS` retains the old behavior (acknowledge all message up to and including the message being acknowledged).

  - An acknowledge policy of `ACKNOWLEDGE_ALL` yields the new behavior, where all messages received by the given session are acknowledged regardless of which message is being used to effect the acknowledge.

### setAcknowledgePolicy

    public void setAcknowledgePolicy(java.lang.String policy)
                              throws javax.management.InvalidAttributeValueException

  Set the value of the acknowldegePolicy attribute for the connection factory.

  Note: This attribute only applies to implementations that use the `CLIENT_ACKNOWLEDGE` acknowledge mode for a non-transacted session.

  This attribute works around a change in the JMS specification. Specifically, the specification allowed users to acknowledge all messages before and including the message geing acknowledged. The specification was changed so that acknowledging any message acknowledges all messages ever received (even those received after the message being acknowledge), as follows:

  - An acknowledge policy of `ACKNOWLEDGE_PREVIOUS` retains the old behavior (acknowledge all message up to and including the message being acknowledged).

  - An acknowledge policy of `ACKNOWLEDGE_ALL` yields the new behavior, where all messages received by the given session are acknowledged regardless of which message is being used to effect the acknowledge.

  A dynamic MBean attribute
  Default Value: weblogic.management.configuration.JMSConstants.ACKNOWLEDGE_ALL
  Legal Values: weblogic.management.configuration.JMSConstants.ACKNOWLEDGE_ALL,weblogic.management.configuration.JMSConstants.ACKNOWLEDGE_PREVIOUS
  Secure Value: weblogic.management.configuration.JMSConstants.ACKNOWLEDGE_ALL

### getFlowMinimum

    public int getFlowMinimum()

  Get the value of the FlowMinimum attribute for the connection factory.

  The minimum number of messages per second for a producer that is experiencing a threshold condition. This is the lower boundary of a producer's flow limit. That is, WebLogic JMS will not further slow down a producer whose message flow limit is at its Flow Minimum.

  When a producer is flow controlled it will never be required to go slower than FlowMinimum messages per second.

### setFlowMinimum

    public void setFlowMinimum(int flowMinimum)
                        throws javax.management.InvalidAttributeValueException

  Set the value of the FlowMinimum attribute for the connection factory.

  The minimum number of messages per second for a producer that is experiencing a threshold condition. This is the lower boundary of a producer's flow limit. That is, WebLogic JMS will not further slow down a producer whose message flow limit is at its Flow Minimum.

  When a producer is flow controlled it will never be required to go slower than FlowMinimum messages per second.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  A dynamic MBean attribute
  Default Value: 50
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### getFlowMaximum

    public int getFlowMaximum()

  Get the value of the FlowMaximum attribute for the connection factory.

  The maximum number of messages per second for a producer that is experiencing a threshold condition. When a producer is flow controlled it will never be allowed to go faster than FlowMaximum messages per second.

  If a producer is not currently limiting its flow when a threshold condition is reached, the initial flow limit for that producer is set to Flow Maximum. If a producer is already limiting its flow when a threshold condition is reached (the flow limit is less than Flow Maximum), then the producer will continue at its current flow limit until the next time the flow is evaluated.

  Note: Once a threshold condition has subsided, the producer is not permitted to ignore its flow limit. If its flow limit is less than the Flow Maximum, then the producer must gradually increase its flow to the Flow Maximum each time the flow is evaluated. When the producer finally reaches the Flow Maximum, it can then ignore its flow limit and send without limiting its flow.

### setFlowMaximum

    public void setFlowMaximum(int flowMaximum)
                        throws javax.management.InvalidAttributeValueException

  Get the value of the FlowMaximum attribute for the connection factory.

  The maximum number of messages per second for a producer that is experiencing a threshold condition. When a producer is flow controlled it will never be allowed to go faster than FlowMaximum messages per second.

  If a producer is not currently limiting its flow when a threshold condition is reached, the initial flow limit for that producer is set to Flow Maximum. If a producer is already limiting its flow when a threshold condition is reached (the flow limit is less than Flow Maximum), then the producer will continue at its current flow limit until the next time the flow is evaluated.

  Note: Once a threshold condition has subsided, the producer is not permitted to ignore its flow limit. If its flow limit is less than the Flow Maximum, then the producer must gradually increase its flow to the Flow Maximum each time the flow is evaluated. When the producer finally reaches the Flow Maximum, it can then ignore its flow limit and send without limiting its flow.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  A dynamic MBean attribute
  Default Value: 500
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Secure Value: (value >=1)

### getFlowInterval

    public int getFlowInterval()

  Return the value of the FlowInterval attribute for the connection factory.

  An adjustment period of time, defined in seconds, when a producer adjusts its flow from the Flow Maximum number of messages to the Flow Minimum amount, or vice versa.

  When a producer is flow controlled it is slowed down from its FlowMaximum to its FlowMinimum over FlowInterval seconds.

### setFlowInterval

    public void setFlowInterval(int flowInterval)
                         throws javax.management.InvalidAttributeValueException

  Set the value of the FlowInterval attribute for the connection factory.

  An adjustment period of time, defined in seconds, when a producer adjusts its flow from the Flow Maximum number of messages to the Flow Minimum amount, or vice versa.

  When a producer is flow controlled it is slowed down from its FlowMaximum to its FlowMinimum over FlowInterval seconds.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  A dynamic MBean attribute
  Default Value: 60
  Legal Value: (value >= ((weblogic.management.configuration.JMSConnectionFactoryMBean) self).getFlowSteps()) && (value < java.lang.Integer.MAX_VALUE)
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### getFlowSteps

    public int getFlowSteps()

  Get the value of the FlowSteps attribute for the connection factory.

  The number of steps used when a producer is adjusting its flow from the Flow Maximum amount of messages to the Flow Minimum amount, or vice versa. Specifically, the Flow Interval adjustment period is divided into the number of Flow Steps (for example, 60 seconds divided by 6 steps is 10 seconds per step).

  Also, the movement (i.e., the rate of adjustment) is calculated by dividing the difference between the Flow Maximum and the Flow Minimum into steps. At each Flow Step, the flow is adjusted upward or downward, as necessary, based on the current conditions, as follows:

  - The downward movement (the decay) is geometric over the specified period of time (Flow Interval) and according to the specified number of Flow Steps. (For example, 100, 50, 25, 12.5)

  - The movement upward is linear. The difference is simply divided by the number of steps.

### setFlowSteps

    public void setFlowSteps(int flowSteps)
                      throws javax.management.InvalidAttributeValueException

  Get the value of the FlowSteps attribute for the connection factory.

  The number of steps used when a producer is adjusting its flow from the Flow Maximum amount of messages to the Flow Minimum amount, or vice versa. Specifically, the Flow Interval adjustment period is divided into the number of Flow Steps (for example, 60 seconds divided by 6 steps is 10 seconds per step).

  Also, the movement (i.e., the rate of adjustment) is calculated by dividing the difference between the Flow Maximum and the Flow Minimum into steps. At each Flow Step, the flow is adjusted upward or downward, as necessary, based on the current conditions, as follows:

  - The downward movement (the decay) is geometric over the specified period of time (Flow Interval) and according to the specified number of Flow Steps. (For example, 100, 50, 25, 12.5)

  - The movement upward is linear. The difference is simply divided by the number of steps.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  A dynamic MBean attribute
  Default Value: 10
  Legal Value: (value >= 1) && (value <= ((weblogic.management.configuration.JMSConnectionFactoryMBean) self).getFlowInterval())
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE

### isFlowControlEnabled

    public boolean isFlowControlEnabled()

  Return the value of the FlowControlEnabled attribute for the connection factory.

  Indicates whether or not a producer created using a connection factory allows flow control. If true, the associated message producers will be slowed down if the JMS server reaches Btyes/Messages ThresholdHigh.

### setFlowControlEnabled

    public void setFlowControlEnabled(boolean flowControlEnabled)
                               throws javax.management.InvalidAttributeValueException

  Set the value of the FlowControlEnabled attribute for the connection factory.

  Indicates whether or not a producer created using a connection factory allows flow control. If true, the associated message producers will be slowed down if the JMS server reaches Btyes/Messages ThresholdHigh.

  A dynamic MBean attribute
  Default Value: true

### isLoadBalancingEnabled

    public boolean isLoadBalancingEnabled()

  Return the value of the LoadBalancingEnabled attribute for the connection factory.

  For distributed destinations, specifies whether non-anonymous producers created through a connection factory are load balanced within a distributed destination on a per-call basis.

  - If true, the associated message producers will be load balanced on every `send()` or `publish()`.

  - If false, the associated message producers will be load balanced on the first `send()` or `publish()`.

### setLoadBalancingEnabled

    public void setLoadBalancingEnabled(boolean loadBalancingEnabled)
                                 throws javax.management.InvalidAttributeValueException

  Set the value of the LoadBalancingEnabled attribute for the connection factory.

  For distributed destinations, specifies whether non-anonymous producers created through a connection factory are load balanced within a distributed destination on a per-call basis.

  - If true, the associated message producers will be load balanced on every `send()` or `publish()`.

  - If false, the associated message producers will be load balanced on the first `send()` or `publish()`.

  A dynamic MBean attribute
  Default Value: true

### isServerAffinityEnabled

    public boolean isServerAffinityEnabled()

  Return the value of the ServerAffinityEnabled attribute for the connection factory.

  For distributed destinations, specifies whether a WebLogic Server instance that is load balancing consumers or producers across multiple physical destinations (queues or topics) in a distributed destination, will first attempt to load balance across any other physical destinations that are also running in the same instance.

### setServerAffinityEnabled

    public void setServerAffinityEnabled(boolean serverAffinityEnabled)
                                  throws javax.management.InvalidAttributeValueException

  Set the value of the ServerAffinityEnabled attribute for the connection factory.

  For distributed destinations, specifies whether a WebLogic Server instance that is load balancing consumers or producers across multiple physical destinations (queues or topics) in a distributed destination, will first attempt to load balance across any other physical destinations that are also running in the same instance.

  Default Value: true

### isXAServerEnabled

    public boolean isXAServerEnabled()

  Return the value of the XAServerEnabled attribute for the connection factory.

  Determines whether XA-enabled JMS connections and sessions are always created when this connection factory is invoked from inside a WebLogic Server instance.

### setXAServerEnabled

    public void setXAServerEnabled(boolean XAServerEnabled)
                            throws javax.management.InvalidAttributeValueException

  Set the value of the XAServerEnabled attribute for the connection factory.

  Determines whether XA-enabled JMS connections and sessions are always created when this connection factory is invoked from inside a WebLogic Server instance.

  Default Value: false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference